HTMLCodec (Grails 6.0.0)

Package: org.grails.plugins.codecs

## [Java] Class HTMLCodec

- org.grails.plugins.codecs.HTMLCodec

- All Implemented Interfaces and Traits:
    CodecFactory, GrailsApplicationAware, org.springframework.beans.factory.InitializingBean

      public final class HTMLCodec

  Encodes and decodes strings to and from HTML.

  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CODEC_NAME` |
    `static java.lang.String` | `CONFIG_PROPERTY_GSP_HTMLCODEC` |
    `static Decoder` | `decoder` |
    `private Encoder` | `encoder` |
    `private GrailsApplication` | `grailsApplication` |
    `static Encoder` | `html4_encoder` |
    `static Encoder` | `xml_encoder` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HTMLCodec ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterPropertiesSet()`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`
    `` | `public Decoder` | `getDecoder()`
    `` | `public Encoder` | `getEncoder()`
    `` | `public void` | `setGrailsApplication(GrailsApplication grailsApplication)`
    `` | `public void` | `setUseLegacyEncoder(boolean useLegacyEncoder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### static final java.lang.String CODEC_NAME

    - #### public static final java.lang.String CONFIG_PROPERTY_GSP_HTMLCODEC

    - #### static final Decoder decoder

    - #### private Encoder encoder

    - #### private GrailsApplication grailsApplication

    - #### static final Encoder html4_encoder

    - #### static final Encoder xml_encoder

  - ### Constructor Detail

    - #### public HTMLCodec()

  - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### @java.lang.Override public CodecIdentifier getCodecIdentifier()

    - #### public Decoder getDecoder()

    - #### public Encoder getEncoder()

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)

    - #### public void setUseLegacyEncoder(boolean useLegacyEncoder)